# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "fluence-faas"
version = "0.1.16"
authors = ["Fluence Labs"]
description = "Fluence FaaS"
license = "Apache-2.0"
[dependencies.cmd_lib]
version = "0.7.8"

[dependencies.fce]
version = "0.1.14"

[dependencies.fce-utils]
version = "0.1.0"

[dependencies.fluence-sdk-main]
version = "=0.2.12"
features = ["logger"]

[dependencies.itertools]
version = "0.9.0"

[dependencies.log]
version = "0.4.8"

[dependencies.safe-transmute]
version = "0.11.0"

[dependencies.serde]
version = "1.0.111"
features = ["derive"]

[dependencies.serde_derive]
version = "1.0.111"

[dependencies.serde_json]
version = "1.0.53"

[dependencies.toml]
version = "0.5.6"

[dependencies.wasmer-core]
version = "0.17.0"
features = ["dynamicfunc-fat-closures"]
package = "wasmer-runtime-core-fl"

[dependencies.wasmer-runtime]
version = "0.17.0"
package = "wasmer-runtime-fl"

[dependencies.wasmer-wasi]
version = "0.17.1"
package = "wasmer-wasi-fl"

[dependencies.wasmer-wit]
version = "=0.17.20"
package = "wasmer-interface-types-fl"
[dev-dependencies.env_logger]
version = "0.7.1"

[dev-dependencies.once_cell]
version = "1.4.0"

[dev-dependencies.pretty_assertions]
version = "0.6.1"

[features]
raw-module-api = []
